Page MenuHomePhabricator

querypage-no-updates still shown on special pages on wmf wikis that update from cron
Open, LowPublic

Description

On wmf wikis, most special pages are scheduled to update regularly via updateSpecialPages.php. However certain special pages are updated less regularly, and are marked as disabled for updateSpecialPages, as they are run from a specific cron job that happen at less frequent intervals.

These special pages still have the querypage-no-updates message applied to them, even though the page gets updates, they are just fewer and far between. This message should not be applied to them.

Two possible solutions

  1. Have a new configuration variable like $wgDisableQueryPageUpdate but only triggers the update being disabled, doesn't trigger the message being shown
  2. Simply override the message using the wikimediaMessages extension, to say something like "For performance reasons, updates to this page will happen less frequently than other special pages".

I think I kind of like solution 2 better than 1.

Details

Related Gerrit Patches:

Event Timeline

Bawolff created this task.Dec 16 2014, 10:00 PM
Bawolff raised the priority of this task from to Needs Triage.
Bawolff updated the task description. (Show Details)
Bawolff changed Security from none to None.
Bawolff added subscribers: Bawolff, Nemo_bis.
-jem- added a subscriber: -jem-.Dec 17 2014, 12:05 PM
Elitre added a subscriber: Elitre.Dec 17 2014, 3:36 PM
Aklapper triaged this task as Low priority.Feb 5 2015, 12:56 PM
Epok added a subscriber: Epok.May 18 2019, 7:49 AM

This issue is still present, such as on FR WP "Pages_en_impasse".
Any update on this?

@Epok: No updates; your contributed patches are welcome.

Epok added a comment.Jun 10 2019, 10:31 AM

@Aklapper OK, let's see if I can give it a try... I never contributed to code here, where should I begin? I don't even know which language is used or where to find the source code ruling this function...

Change 530870 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/core@master] Add a run mode to $wgDisableQueryPageUpdate

https://gerrit.wikimedia.org/r/530870

Change 530871 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[operations/mediawiki-config@master] Add run mode to $wgDisableQueryPageUpdate

https://gerrit.wikimedia.org/r/530871

Change 530872 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/WikimediaMessages@master] Messages for the run mode of $wgDisableQueryPageUpdate

https://gerrit.wikimedia.org/r/530872

Elitre removed a subscriber: Elitre.Aug 29 2019, 9:05 AM

Change 530870 merged by jenkins-bot:
[mediawiki/core@master] Add a run mode to $wgDisableQueryPageUpdate

https://gerrit.wikimedia.org/r/530870

Change 541358 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[operations/mediawiki-config@master] Add 'periodical' as run mode to $wgDisableQueryPageUpdate

https://gerrit.wikimedia.org/r/541358

Change 541358 merged by jenkins-bot:
[operations/mediawiki-config@master] Add 'periodical' as run mode to $wgDisableQueryPageUpdate

https://gerrit.wikimedia.org/r/541358

Mentioned in SAL (#wikimedia-operations) [2019-10-10T22:17:41Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T78711 Update cron-updated miser pages to say they are run periodically, not never (duration: 00m 51s)

Change 530872 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Messages for the run mode of $wgDisableQueryPageUpdate

https://gerrit.wikimedia.org/r/530872